package com.elitesland.metadata.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 3:00 PM
 */
@Data
@ApiModel("元数据-表定义查询条件")
public class MetaTableQParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = 6667370136693829931L;

    @ApiModelProperty(value = "表编码")
    String tableCode;

    @ApiModelProperty(value = "表名称")
    String tableName;
}
