package com.elitesland.metadata.service;

import com.elitesland.core.base.PagingVO;
import com.elitesland.metadata.param.MetaColumnQParam;
import com.elitesland.metadata.vo.MetaColumnVO;

import java.util.List;
import java.util.concurrent.CompletableFuture;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 3:12 PM
 */
public interface MetaColumnService {

   CompletableFuture<PagingVO<MetaColumnVO>> search(Long tableId, MetaColumnQParam param);

    void addColumns(Long tableId, List<MetaColumnVO> columns);

    void removeColumns(Long tableId, List<Long> fieldIds);

    void removeColumnsByTableId(Long tableId);
}
