package com.elitesland.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author Michael Li
 */
@Data
@Accessors(chain = true)
@ApiModel("用户登录结构，无验证码")
public class SysUserLoginVO implements Serializable {

    private static final long serialVersionUID = -4440760902675314808L;

    @ApiModelProperty("登录用户账号")
    String username;

    @ApiModelProperty("用户对应的密码")
    String password;
}
