package com.elitesland.metadata.convert;

import com.elitesland.metadata.entity.MetaTableDO;
import com.elitesland.metadata.param.MetaTableSaveParam;
import com.elitesland.metadata.vo.MetaTableVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 12:36 PM
 */
@Mapper
public interface MetaTableConvert {

    MetaTableConvert INSTANCE = Mappers.getMapper(MetaTableConvert.class);

    MetaTableVO doToVO(MetaTableDO table);

    MetaTableDO voToDO(MetaTableVO table);

    MetaTableDO saveToDO(MetaTableSaveParam saveParam);
}
