package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <pre></pre>
 *
 * @author mir
 * @date 2020-10-11
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("发号器规则查询条件对象")
public class SysNumberRuleQParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = 654231291752279802L;

    @ApiModelProperty("发号器规则编码")
    String ruleCode;

    @ApiModelProperty("发号器规则名称")
    String ruleName;

    @ApiModelProperty("发号器规则分类")
    String ruleClass;
}
