package com.elitesland.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Mir
 * @date 2020/6/28
 */
@Data
@Accessors(chain = true)
@ApiModel("用于下拉选择的分类码集合项-Vue选项适用")
public class SysUdcComboVVO implements Serializable {

    private static final long serialVersionUID = -3389966849168373797L;

    @ApiModelProperty(value = "领域码")
    private String domainCode;

    @ApiModelProperty(value = "分类码")
    private String udcCode;

    @ApiModelProperty(value = "分类码值")
    private String value;

    @ApiModelProperty(value = "值描述")
    private String label;

    @ApiModelProperty("ES1扩展字段")
    String es1;
    /***niuchen 20201115 项目要求增加其他两个扩展字段  start***/
    @ApiModelProperty("ES2扩展字段")
    String es2;
    @ApiModelProperty("ES3扩展字段")
    String es3;
    /*** 项目要求增加其他两个扩展字段  end*****/
}
